#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf numlock-2.1.2.tar.bz2
    cd numlock-2.1.2
    gcc -c $CFLAGS -Wall enable_X11_numlock.c
    gcc -o enable_X11_numlock enable_X11_numlock.o -lX11 -lXext -Wl,-Bstatic \
	    -lXtst -Wl,-Bdynamic
    strip -R .note -R .comment enable_X11_numlock
    mkdir -p ../enable-x11-numlock/bin
    cp enable_X11_numlock ../enable-x11-numlock/bin/
    cd ..
    rm -rf numlock-2.1.2
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
